/*
    This file is part of libkabc.
    Copyright (c) 2015 Laurent Montel <montel@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#ifndef IMPPTEST_H
#define IMPPTEST_H

#include <QObject>

class ImppTest : public QObject
{
    Q_OBJECT
public:
    explicit ImppTest(QObject *parent = Q_NULLPTR);
    ~ImppTest();

private Q_SLOTS:
    void shouldHaveDefaultValue();
    void shouldAssignValue();
    void shouldSerialized();
    void shouldEqualImpp();
    void shouldParseWithoutImpp();
    void shouldParseImpp();
    void shouldParseServiceType_data();
    void shouldParseServiceType();
    void shouldExportEmptyType();

    void shouldExportType_data();
    void shouldExportType();

    void shouldExportWithParameters();
    void shouldShouldNoyExportTwiceServiceType();
};

#endif // IMPPTEST_H
